if(appId && signature){
	wx.config({  
		debug: false,  
		appId: appId,  
		timestamp: timestamp,  
		nonceStr: nonceStr,  
		signature: signature,  
		jsApiList: [
			// 所有要调用的 API 都要加到这个列表中 
			'checkJsApi',
			'onMenuShareTimeline',  
			'onMenuShareAppMessage',
			'onMenuShareQQ',
			'onMenuShareQZone'
		]  
	}); 
	wx.ready(function () {
		//分享给朋友  
		wx.onMenuShareAppMessage({  
			title: title, // 分享标题  
			desc: description, // 分享描述  
			link: window.location.href, // 分享链接  
			imgUrl: goods_img_pic, // 分享图标   
			success: function () {   
				// 用户确认分享后执行的回调函数  
				$('#mcover').hide();return false;
			},  
			cancel: function () {   
				// 用户取消分享后执行的回调函数
				showtoast('分享取消');$('#mcover').hide();return false;  
			}  
		});
		
		//分享到朋友圈  
		wx.onMenuShareTimeline({  
			title: title, // 分享标题  
			link: window.location.href,  
			imgUrl: goods_img_pic, // 分享图标  
			success: function () {  
				// 分享成功执行此回调函数  
				showtoast('分享成功');$('#mcover').hide();return false;
			},  
			cancel: function () {  
				showtoast('分享取消');$('#mcover').hide();return false;
			}  
		});  
		
		//分享到手机QQ
		wx.onMenuShareQQ({
			title: title, // 分享标题
			desc: description, // 分享描述
			link: share_url, // 分享链接
			imgUrl: goods_img_pic, // 分享图标
			success: function () {
			   // 用户确认分享后执行的回调函数
			   $('#mcover').hide();return false;
			},
			cancel: function () {
			   // 用户取消分享后执行的回调函数
			   showtoast('分享取消');$('#mcover').hide();return false;
			}
		});
		//分享到QQ空间
		wx.onMenuShareQZone({
			title: title, // 分享标题
			desc: description, // 分享描述
			link: share_url, // 分享链接
			imgUrl: goods_img_pic, // 分享图标
			success: function () {
			   // 用户确认分享后执行的回调函数
			   $('#mcover').hide();return false;
			},
			cancel: function () {
			   // 用户取消分享后执行的回调函数
			   showtoast('分享取消');$('#mcover').hide();return false;
			}
		});
	});  
}